# frozen_string_literal: true

module BridgeAPI
  class Client
    module Account
      def create_account(params = {})
        post("#{API_PATH}#{ADMIN_PATH}/sub_accounts", params)
      end

      def update_account(account_id, params = {})
        put("#{API_PATH}#{SUPPORT_PATH}#{ACCOUNT_PATH}/#{account_id}", params)
      end
    end
  end
end
