# frozen_string_literal: true

module BridgeAPI
  class Client
    module Affiliation
      def list_affiliations(params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{AFFILIATED_SUBACCOUNTS}", params)
      end

      def revoke_affiliations_batch(params = {})
        put("#{API_PATH}#{AUTHOR_PATH}#{AFFILIATED_SUBACCOUNTS}/revoke_batch", params)
      end

      def share_affiliations_batch(params = {})
        put("#{API_PATH}#{AUTHOR_PATH}#{AFFILIATED_SUBACCOUNTS}/share_batch", params)
      end
    end
  end
  end
