# frozen_string_literal: true

module BridgeAPI
  class Client
    module Group
      def add_group(params = {})
        post("#{API_PATH}#{AUTHOR_PATH}#{GROUPS_PATH}", params)
      end

      def update_group(group_id, params = {})
        put("#{API_PATH}#{AUTHOR_PATH}#{GROUPS_PATH}/#{group_id}", params)
      end

      def group_relevance(params = {})
        get("#{API_PATH}#{AUTHOR_PATH}/group_relevance", params)
      end

      def update_group_relevance(params = {})
        put("#{API_PATH}#{AUTHOR_PATH}/group_relevance", params)
      end

      def delete_group_relevance(group_id, params)
        delete("#{API_PATH}#{AUTHOR_PATH}/group_relevance/#{group_id}", params)
      end
    end
  end
end
