# frozen_string_literal: true

module BridgeAPI
  class Client
    module LiveCourse
      def get_all_live_courses(params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}", params)
      end

      def get_live_course(live_course_id, params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{LIVE_COURSES_PATH}/#{live_course_id}", params)
      end
    end
  end
end
