# frozen_string_literal: true

module BridgeAPI
  class Client
    module Program
      def get_all_programs(params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{PROGRAM_PATH}", params)
      end

      def get_program(program_id, params = {})
        get("#{API_PATH}#{AUTHOR_PATH}#{PROGRAM_PATH}/#{program_id}", params)
      end

      def complete_program(program_id, params = {})
        post("#{API_PATH}#{ADMIN_PATH}#{PROGRAM_PATH}/#{program_id}/completions", params)
      end
    end
  end
end
